Class Fox::FXFontSelector

In: | FXFontSelector.rb
Parent: | FXPacker

Font selection widget

### Message identifiers

`ID_FAMILY`: | x
`ID_WEIGHT`: | x
`ID_STYLE`: | x
`ID_STYLE_TEXT`: | x
`ID_SIZE`: | x
`ID_SIZE_TEXT`: | x
`ID_CHARSET`: | x
`ID_SETWIDTH`: | x
`ID_PITCH`: | x
`ID_SCALABLE`: | x
`ID_ALLFONTS`: | x

Methods

new

Attributes

acceptButton | [R] | The "Accept" button [FXButton]
cancelButton | [R] | The "Cancel" button [FXButton]
fontSelection | [RW] | Font selection [FXFontDesc]

Public Class methods

new(p, tgt=nil, sel=0, opts=0, x=0, y=0, w=0, h=0) {|theFontSelector| ...}

Return an initialized FXFontSelector instance.